Bug 138472 - White space at the end of sun-style maps confuses autofs
White space at the end of sun-style maps confuses autofs
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-09 10:04 EST by Ian McLeod
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 11:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian McLeod 2004-11-09 10:04:36 EST
Description of problem: If a line on a sun style automount map
contains trailing whitespace, that line will not be interpreted.


Version-Release number of selected component (if applicable):

autofs4-4.1.3-12

How reproducible:

Always.

Steps to Reproduce:


Create a local automount map (other than auto.master) that contains
trailing whitespace on a given line.  Attempt to cd into the directory
 defined by that line.  

  
Actual results:

This won't work.


Expected results:

It should.


Additional info:
Comment 1 Jeffrey Moyer 2004-11-15 15:08:19 EST
Ian,

I can't reproduce this.  Could you provide the map file you're working
with to reproduce this, please?

Thanks!
Comment 2 Jeffrey Moyer 2005-04-11 16:24:22 EDT
Ian, I'm guessing this is not a relevant bug report anymore.  Could you please
retest with the latest bits and let me know if this is still an issue?

Thanks.
Comment 3 Jeffrey Moyer 2005-09-19 17:35:37 EDT
Ian, can I close this bug?  Are you still running into it?  Please let me know.
Comment 4 Jeffrey Moyer 2005-10-21 11:28:59 EDT
I'm closing this bug due to inactivity.  Without a map to reproduce the problem,
I'm pretty much dead in the water.

Ian, feel free to reopen this if you are still experiencing problems.  And
please provide the maps at that time!

Note You need to log in before you can comment on or make changes to this bug.